# DMACExt in k210_soc::dmac - Rust
Extension trait for adding configure() to DMAC peripheral
Keywords: rust, rustlang, rust-lang, DMACExt

# Trait k210_soc::dmac::DMACExt

source · [−]

    pub trait DMACExt: Sized {
        fn configure(self) -> DMAC;
    }

Expand description

Extension trait for adding configure() to DMAC peripheral

## Required methods

source

#### fn configure(self) -> DMAC

Constrains DVP peripheral

## Implementations on Foreign Types

source

### impl DMACExt for DMAC

source

#### fn configure(self) -> DMAC

## Implementors